> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Patient Banked Items

> List all banked items for a patient (including used ones, excluding archived).



## OpenAPI

````yaml get /inventory/banked-items/patient/{patient_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/banked-items/patient/{patient_id}:
    get:
      tags:
        - provider
        - inventory
      summary: List Patient Banked Items
      description: >-
        List all banked items for a patient (including used ones, excluding
        archived).
      operationId: >-
        list_patient_banked_items_inventory_banked_items_patient__patient_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PatientBankedItem'
                title: >-
                  Response List Patient Banked Items Inventory Banked Items
                  Patient  Patient Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatientBankedItem:
      properties:
        id:
          type: string
          title: Id
        itemId:
          type: string
          title: Itemid
        patientId:
          type: string
          title: Patientid
        createdByChargeItemId:
          type: string
          title: Createdbychargeitemid
        quantity:
          type: integer
          title: Quantity
        quantityRemaining:
          type: integer
          title: Quantityremaining
        createdDate:
          type: string
          format: date-time
          title: Createddate
        item:
          $ref: '#/components/schemas/ItemTiny'
        price:
          type: integer
          title: Price
        usages:
          items:
            $ref: '#/components/schemas/BankedItemUsage'
          type: array
          title: Usages
          description: List of charges that used this banked item
      type: object
      required:
        - id
        - itemId
        - patientId
        - createdByChargeItemId
        - quantity
        - quantityRemaining
        - createdDate
        - item
        - price
      title: PatientBankedItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ItemTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the item
        name:
          type: string
          title: Name
          description: Name of the item
        brandName:
          anyOf:
            - type: string
            - type: 'null'
          title: Brandname
          description: Optional brand name of the item
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the item
        price:
          type: integer
          title: Price
          description: Price of the item in cents
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category name (references category.name)
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
          description: Unit of measurement for the item
        isPhysical:
          type: boolean
          title: Isphysical
          description: Whether the item is physical
          default: true
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the item is archived
          default: false
        internalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalnotes
          description: Optional internal notes for the item
        taxable:
          type: boolean
          title: Taxable
          description: Whether the item is subject to taxes
          default: false
        sortOrder:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sortorder
          description: Optional sort order for the item
        allowCustomPricing:
          type: boolean
          title: Allowcustompricing
          description: Whether custom pricing is allowed for this item
          default: false
        type:
          $ref: '#/components/schemas/ItemType'
          description: Type of item (PRODUCT, MEDICATION, etc.)
          default: PRODUCT
      type: object
      required:
        - name
        - price
      title: ItemTiny
    BankedItemUsage:
      properties:
        chargeId:
          type: string
          title: Chargeid
          description: ID of the charge that used this banked item
        chargeDate:
          type: string
          format: date-time
          title: Chargedate
          description: Date when the charge was created
        quantityUsed:
          type: integer
          title: Quantityused
          description: Quantity used in this charge
        chargeTotal:
          type: integer
          title: Chargetotal
          description: Total amount of the charge
      type: object
      required:
        - chargeId
        - chargeDate
        - quantityUsed
        - chargeTotal
      title: BankedItemUsage
      description: Information about how a banked item was used.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit
    ItemType:
      type: string
      enum:
        - ITEM
        - PRODUCT
        - MEDICATION
        - SERVICE
        - PACKAGE
        - MEMBERSHIP
      title: ItemType

````